%global srcname appdirs

Summary:       Python module for determining platform-specific directories
Name:          python-%{srcname}
Version:       1.4.4
Release:       5%{?dist}
License:       MIT
URL:           https://github.com/ActiveState/appdirs
Source0:       %{pypi_source}

BuildArch:     noarch

%description
A small Python module for determining appropriate " + " platform-specific directories, e.g. a "user data dir".

%package -n python3-%{srcname}
Summary:        Python module for determining platform-specific directories
BuildRequires:  python3-devel python3-setuptools python3-pip python3-wheel

%description -n python3-%{srcname}
A small Python module for determining appropriate " + " platform-specific directories, e.g. a "user data dir".

%prep
%autosetup -n %{srcname}-%{version} -p1
rm -vrf %{srcname}.egg-info

%build
%py3_build_wheel

%install
%py3_install_wheel %{srcname}-%{version}-py2.py3-none-any.whl

sed -i -e '1{\@^#!/usr/bin/env python@d}' %{buildroot}%{python3_sitelib}/%{srcname}.py

%check
%{__python3} setup.py test

%files -n python3-%{srcname}
%license LICENSE.txt
%doc README.rst CHANGES.rst
%{python3_sitelib}/%{srcname}*
%{python3_sitelib}/__pycache__/%{srcname}.*

%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.4-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.4-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.4-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.4.4-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Jan 31 2023 Shuo Wang <abushwang@tencent.com> - 1.4.4-1
- initial build
